#S15
echo > /tmp/upgrade_result
mkdir /tmp/mem  > /dev/null 2>&1
mount -t tmpfs tmpfs /tmp/mem
cp -rf uramdisk.image.gz /tmp/mem/uramdisk.image.gz
cp -rf md5_info /tmp/mem/md5_info
cd /tmp/mem

if [ -e uramdisk.image.gz ]; then
    md5=`md5sum uramdisk.image.gz | awk {'print $1'}`
    md5_r=`cat md5_info`
    if [ $md5 == $md5_r ];then
		echo "Upgrade"
		flash_erase /dev/mtd1 0x0 0x100 >/dev/null 2>&1
		nandwrite -p -s 0x0 /dev/mtd1 uramdisk.image.gz >/dev/null 2>&1
		if [ -e /dev/mtd4 ]; then
			flash_erase /dev/mtd4 0x0 0x100 >/dev/null 2>&1
			nandwrite -p -s 0x0 /dev/mtd4 uramdisk.image.gz >/dev/null 2>&1
		fi
	else
		echo $md5 > /config/md5_error
		echo $md5_r >> /config/md5_error
		echo "Error md5! $md5 $md5_r" >> /tmp/upgrade_result
	fi
fi

rm -rf /config/scanfreqdone 2>/dev/null
sync >/dev/null 2>&1
